QGIS Application - Bug report #6611
converting OSM file to shp losses data in the procees
2012-11-02 01:26 PM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 15799
Description

| have a OSM file for Romania, created using osmconvert from pbf.

and i load the osm data into Qgis using Openstreetmap plugin
i do right click on the points layer, save as ersi shapefile

After i load the data a lot of data gets lost in the process.

You can see from the attached files that in second example, the tag attribute misses a lot of data, making it useless for statistics.

And i cannot use the osm file because with 60000 objects inside, it's moving to slow.
The SHP file haves great speed, but it has this bug too.

History

#1 - 2012-12-27 12:52 PM - Giovanni Manghi
- Status changed from Open to Feedback

please attach sample data.

#2 - 2012-12-29 05:51 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed

shapefile have a 255 char limit for columns width, so not a qgis bug, but a format limitation. If you need to preserve all the data then you will need to export
in a more advanced format, like spatialite or postgis.

Files
conversie_osm_shp_2.jpg 117 KB 2012-11-02 baditaflorin -
conversie_osm_shp.jpg 104 KB 2012-11-02 baditaflorin -
